#!/bin/sh
set -e

BINDIR="$AUTOPKGTEST_TMP/bin"
mkdir -p "$BINDIR"
ln -s /usr/bin/python3 "$BINDIR/python"
# sharness adds SHARNESS_BUILD_DIRECTORY to PATH
# the default value is the source directory
# changing it to the dir containing the python
# override makes it use the correct Python version
# and also prevents it from using the source scripts
# rather than the scripts installed in the package.
export SHARNESS_BUILD_DIRECTORY="$BINDIR"
make -C test TEST_OPTS=--verbose
